BizKitHub
DocsAPI ReferenceLedger/api/v1/ledger/closing-state
getLedgerPublic API v1

/api/v1/ledger/closing-state

Year-end closing progress of a fiscal period: wizard steps (precheck, FX revaluation, accruals, depreciation, provisions, inventory, income tax, closing entry, opening of the next period, profit distribution), live precheck findings and the result of the year.

ledgergetApiV1LedgerClosing-state

Parameters

3 query

Query parameters

· 3
apiKeystringRequired

Your BizKitHub API key (passed as GET parameter).

Key format: A 32-character string matching: ^(PROD|DEV_|ROOT)[A-Za-z0-9]{28}$
Prefixes: PROD (production key), DEV_ (individual developer), ROOT (system key with no limits). Learn more

ExamplePRODPGrFxpGEtrOZfuWhnoJohUYBXuOE
entityIdstringRequired

Accounting entity id (from /ledger/entity-list).

Length: 16–24
ExampleKq3vTnY8mZ0aB1cD2eF3gH4i
periodIdstringRequired
Length: 16–24
Exampleexample_periodId

Response schema

1 status code documented

200Success
fiscalYearnumberRequired
Example2026
statusstringRequired
Exampleopen
resultnumber | nullRequired
One of 2:
Variant 1
number
Variant 2
null
stepsobject[]Required
Each array item:
keystringRequired
Exampleclose_books
statusstringRequired
Exampledone
entryIdstring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
doneDatestring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
findingsobject[]Required
Each array item:
codestringRequired
Exampleunposted_documents
severitystringRequired
countnumberRequired

Response example

application/json
{
  "fiscalYear": 2026,
  "status": "open",
  "steps": [
    {
      "key": "close_books",
      "status": "done"
    }
  ],
  "findings": [
    {
      "code": "unposted_documents",
      "severity": "example_severity",
      "count": 0
    }
  ]
}

Request example

GET /api/v1/ledger/closing-state

get
curl -X GET "https://api.bizkithub.com/api/v1/ledger/closing-state?apiKey=PRODPGrFxpGEtrOZfuWhnoJohUYBXuOE&entityId=Kq3vTnY8mZ0aB1cD2eF3gH4i&periodId=example_periodId" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key